<?php
// standard theme module type-A
// by team1/3

// ツールバーのカスタマイズ
function custom_toolbar()
{
	global $html,$ut;
	if (check_rights('edit')) {
		if (!check_rights('admin')) {
			unset($html['system_toolbar']['MENU']['10']);
			unset($html['system_toolbar']['MENU']['11']);
		} else {
			$html['system_toolbar']['MENU'][1][] = "<a href='{$ut->link('manager')}' >Theme Manager</a>";
		}
		ksort($html['system_toolbar']['MENU']);
	} else {
		unset($html['system_toolbar']['MENU']);
	}

	// ロケール判定
	$japanese = false;
	$languages = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
	$languages = array_reverse($languages);
	foreach ($languages as $language) {
		if (preg_match('/^ja/i', $language)) {
			$japanese = true;
			break;
		}
	}
	// 
	if ($japanese) {
		$html['system_toolbar']['ヘルプ'] = array();
		$html['system_toolbar']['ヘルプ'][] = "<a href='http://onethird.net/help' >ヘルプ</a>";
		$html['system_toolbar']['ヘルプ'][] = "<hr />";
		$html['system_toolbar']['ヘルプ'][] = "<a href='https://www.facebook.com/pages/OneThird-CMS/331468460282620' >facebook</a>";
		$html['system_toolbar']['ヘルプ'][] = "<a href='http://onethird.net/p764.html' >About v8</a>";
		$html['system_toolbar'][] = "<a href='http://onethird.net/' >OneThird CMS</a>";
	} else {
		$html['system_toolbar']['help'] = array();
		$html['system_toolbar']['help'][] = "<a href='http://onethird.net/en/help' >Help</a>";
		$html['system_toolbar']['help'][] = "<hr />";
		$html['system_toolbar']['help'][] = "<a href='https://www.facebook.com/pages/OneThird-CMS/331468460282620' >facebook</a>";
		$html['system_toolbar']['help'][] = "<a href='http://onethird.net/en/p764.html' >About v8</a>";
		$html['system_toolbar'][] = "<a href='http://onethird.net/en' >OneThird CMS</a>";
	}
}

// メインビジュアル (get_main_visualがtplで使われていなければ削除可能)
function get_main_visual()
{
	global $html,$params,$database,$ut,$config;
	$meta = get_theme_metadata();
	if (isset($meta['flexfile']['main_visual'] )) {
		return "<img src='{$meta['flexfile']['main_visual']}' alt='' />";
	}
	return "<img src='{$config['site_url']}css/onethird121.png' alt='' />";
}

// キャッチコピー (get_main_catch_strがtplで使われていなければ削除可能)
function get_main_catch_str()
{
	global $html,$params,$database,$ut,$config;
	$meta = get_theme_metadata();
	
	if (isset($meta['plugin_embed']['catch_text'])) {
		$buff = $meta['plugin_embed']['catch_text'];
	} else {
$buff = <<<EOT
		<p style="font-family: 'Consolas';">Lightweight CMS for Small website, Web application framework.</p> 
EOT;
	}
	return $buff;
}

//各ページからのログインが有効でかつ非ログイン状態の場合は、ログインプログラムをロード
if (!check_rights() && empty($params['circle']['meta']['hide_login'])) {
	snippet_loginform(1);
}

// グローバルナビ(テーマに合わせてカスタマイズ、get_gnavがtplで使われていなければ削除可能)
function get_gnav()
{
	global $html,$params,$database,$ut,$config;

	$link = "link_proc";

	$top_page = $params['circle']['meta']['top_page'];
	$meta = get_theme_metadata();
	
	$buff = '';
	if (isset($meta['theme']['global_menu'])) {
		foreach ($meta['theme']['global_menu'] as $v) {
			$u = ex_theme_link($v['link']);
			$n = $v['text'];
			$s = "";
			$u0 = trim($u,'/');
			if ($params['request'] == $u0) {
				$s = " class='active' ";
			} else {
				foreach ($params['breadcrumb'] as $v) {
					if (trim($v['link'],'/') == $u0) {
						$s = " class='active' ";
						break;
					}
				}
			}
			$buff .= "<a href='$u' $s>$n</a>";
		}
	} else {
$buff .= <<<EOT
		<a href="{$ut->link()}">HOME</a>
		<a href="{$ut->link('list')}">Page list</a>
EOT;
	}
	if (!check_rights() && empty($params['circle']['meta']['hide_login'])) {
$buff .= <<<EOT
		<a href='javascript:void(ot.show_login_panel())'>Login</a>
EOT;
	}
	return $buff;
}

// for breadcrumb (テーマに合わせてカスタマイズ)
function breadcrumb()
{
	global $params,$ut;
	if ( isset($params['circle']) && isset($params['circle']['name']) ) {
		$name = $params['circle']['name'];
		if ( isset($params['breadcrumb']) ) {
			//パンくずの作成
			$a = '';
$a .= <<<EOT
		  <li ><a href="{$ut->link()}">{$name}</a> </li><li><span class="divider">&raquo;</span></li>
EOT;
			if ( is_array($params['breadcrumb']) ) {
				$c = count($params['breadcrumb']);
				for ( $i=0; $i < $c; ++$i ) {
					$v = $params['breadcrumb'][$i];
					if ( $i != $c-1 ) {
						$d1 = '';
						$d2 = "<span class='divider'>&raquo;</span>";
					} else {
						$d1 = ' class="active" ';
						$d2 = '';
					}
					if ( $v['link'] ) {
$a .= <<<EOT
						<li $d1><a href="{$v['link']}">{$v['text']}</a> $d2</li>
EOT;
					} else {
$a .= <<<EOT
						<li $d1>{$v['text']} $d2</li>
EOT;
					}
				}
			}
			return '<ul class="onethird-breadcrumb">'.$a.'</ul>';
		}
	}
	return '';
}

// 絶対パスのURLは、そのままそれ以外はパス調整する
function ex_theme_link($u)
{
	global $ut;
	if (preg_match("/(https?:)?\/\//",$u)) {
		return $u;
	}
	return $ut->link($u);
}

// for system toolbar (通常は変更不可)
function system_toolbar()
{
	global $html,$params,$config,$ut,$p_circle;
	
	if (!check_rights()) {
		return '';
	}

	if (isset($html['system_toolbar'][10]['system'])) {
		$html['system_toolbar'][11] = $html['system_toolbar'][10]['system'];
	}
	unset($html['system_toolbar'][10]['system']);
	if (isset($html['system_toolbar'][0]['logout'])) {
		$html['system_toolbar'][0]['logout'] = false;
	}
	$html['system_toolbar'] = array('MENU'=>$html['system_toolbar']);
	$html['system_toolbar']['MENU'][0]['caption'] = 'basic &raquo;';
	$html['system_toolbar']['MENU'][0]['expand'] = true;
	$html['system_toolbar']['MENU'][10]['caption'] = 'advanced &raquo;';
	$html['system_toolbar']['MENU'][11]['caption'] = 'system &raquo;';

	custom_toolbar();

	// system nav css
$buff = <<<EOT
	<style>
		.onethird-system-nav-typeA {
			height:30px;
			line-height:27px;
			font-size: 15px;
			margin-bottom: 10px;
		}
		.onethird-system-nav-typeA .inner {
			height: 38px;
			padding: 0;
			margin: 0;
			background-color: #343434;
			position: fixed;
			z-index:159999;
			width: 100%;
			left: 0;
			color:#fff;
		}
		.onethird-system-nav-typeA .dropdown_hnd {
			display: inline-block;
			vertical-align: top;
			position: relative;
			padding: 6px 10px;
			height: 26px;
			line-height: 24px;
		}
		.onethird-system-nav-typeA .active {
			background-color: #B55900;
		}
		.onethird-system-nav-typeA .dropdown_hnd span {
			padding: 0 9px;
		}
		.onethird-system-nav-typeA .dropdown_hnd span:hover {
			background-color: #B55900;
		}
		.onethird-system-nav-typeA a:hover {
			color: #FFD604;
		}
		.onethird-system-nav-typeA .dropdown_sub span {
			padding:0;
		}
		.onethird-system-nav-typeA .dropdown_sub span:hover {
			background-color: rgba(0, 0, 0, 0.1);
			color: #FFAE00;
		}
		.onethird-system-nav-typeA .dropdown_box {
			background-color: rgba(0, 0, 0, 0.8);
			background-color: #343434\9;
			padding: 9px 0;
			position: absolute;
			top: 39px;
			left: 0;
			width: 253px;
			border-radius: 3px;
			box-shadow: 0px 0px 6px #8d8b8b;
			font-size: 16px;
		}
		.onethird-system-nav-typeA .dropdown-captions {
			float: left;
			position: relative;
			cursor: pointer;
		}
		.onethird-system-nav-typeA img {
			vertical-align: top;
			margin-top:3px;
		}
		.onethird-system-nav-typeA .item a {
			padding: 2px 10px 3px 10px;
		}
		.onethird-system-nav-typeA .dropdown-captions hr {
			border: 0;
			border-bottom: 1px solid #5F5F5F;
			background: #000;
			margin:8px 0;
		}
		.onethird-system-nav-typeA .dropdown_sub {
			padding-left:10px;
		}
		.onethird-system-nav-typeA a {
			color:#fff;
			padding: 5px 10px 5px 10px;
			display: inline-block;
			text-decoration: none;
			border: none;
		}
		.onethird-system-nav-typeA .dropdown-right {
			position: absolute;
			right: 40px;
			padding:0;
			margin:0;
			top:0;
			line-height:30px;
		}
		.onethird-system-nav-typeA .dropdown-right a {
			padding: 2px;
			vertical-align: top;
		}
		.onethird-system-nav-typeA .dropdown-right .button {
			padding: 2px 0 0 0;
			display:inline-block;
		}
		.onethird-system-nav-typeA .dropdown-right img {
			width:28px;
			height:28px;
			padding-right: 5px;
			vertical-align: top;
		}
		@media screen and (max-width:960px) {
			.onethird-system-nav-typeA {
				font-size:14px;
				line-height:28px;
			}
			.onethird-system-nav-typeA a {
				padding: 0 10px 0 10px;
				margin:0px 0 0 0;
				line-height:30px;
			}
			.onethird-system-nav-typeA .inner {
			  height: 31px;
			}
			.onethird-system-nav-typeA .dropdown_hnd {
				height: 25px;
				padding: 3px 10px 3px 10px;
			}
			.onethird-system-nav-typeA .dropdown-right a {
				padding:0;
				vertical-align: baseline;
			}
			.onethird-system-nav-typeA .dropdown_box {
				top:31px;
			}
			.onethird-system-nav-typeA .dropdown-right img {
				width:24px;
				height:24px;
			}
		}
		@media screen and (max-width:764px) {
			.onethird-system-nav-typeA .dropdown_hnd {
				padding: 3px 3px 3px 3px;
			}
			.onethird-system-nav-typeA .dropdown-right {
				right:0;
			}
			.onethird-system-nav-typeA .dropdown-right .button {
				display:none;
			}
		}
	</style>
EOT;
	if (isset($params['circle']['meta']['hide_nav'])) {
$buff .= <<<EOT
	<style>
		.onethird-system-nav-typeA {
			margin-top:-33px;
			opacity:0.0;
			transition: margin 0.5s;
			position: fixed;
			top: 0;
			z-index: 1;
		}
	</style>
EOT;
$html['meta']['system_toolbar_hover'] = <<<EOT
	<script>
	\$(function(){
		\$('.onethird-system-nav-typeA').hover(function(){
			\$(this).css({'margin-top':'0','opacity':'1'});
		});
		\$(document).bind("scroll", function (e) {
			\$('.onethird-system-nav-typeA').css({'margin-top':'-33px','opacity':'0.0'});
		});
	});
	</script>
EOT;
	}
	$html['css']['system_toolbar'] = $buff;

	// system nav javascript
$buff = <<<EOT
		<script>
		\$(function(){
			\$(".onethird-system-nav-typeA .dropdown_hnd .root_cation").click(function(e){
				\$(".onethird-system-nav-typeA .dropdown_hnd").removeClass('active');
				var obj = \$(this).parent().addClass('active');
				var hnd = obj.children('.dropdown_box');
				\$('.dropdown_box:visible').each(function(){
					if (hnd[0] != this) {
						$(this).hide(100);
					}
				});
				hnd.toggle(200);
				return false;
			});
			\$(document).bind("click", function (e) {
				\$(".onethird-system-nav-typeA .dropdown_box:visible").hide(200);
			});
			\$(document).bind("scroll", function (e) {
				\$(".onethird-system-nav-typeA .dropdown_box:visible").hide(200);
			});
			\$(".onethird-system-nav-typeA .dropdown_sub span").click(
				function(){
					var obj = \$(this);
					obj.parent().children('div').toggle(200);
					return false;
				}
			);
			ot.alert = function(mess) {
				oj = \$('.onethird-alert p');
				if (!oj.length) {
					var str = "<div class='onethird-alert' ><p>"+mess+"</p><input type='button' class='onethird-button' value='OK' onclick='ot.overlay(0)' /></div>";
					ot.overlay(1, str,{fadeout:5000});
				} else {
					oj.html(oj.html()+'<p>'+mess+'</p>');
				}
			};
			ot.waring = function(mess) {
				oj = \$('.onethird-waring p');
				if (!oj.length) {
					var str = "<div class='onethird-waring' ><p>"+mess+"</p><input type='button' class='onethird-button' value='OK' onclick='\$(this).parent().remove()' /></div>";
					\$("body").append(str);
					oj = \$('.onethird-waring p');
				} else {
					oj.html(oj.html()+'<p>'+mess+'</p>');
				}
				oj.parent().css('left',parseInt(\$(window).width()/2)+'px').fadeOut(2000,function(){\$(this).remove()});
			};
			\$('.onethird-information, .onethird-alert, .onethird-waring').click(function(){\$(this).remove()});
		});
		</script>
EOT;
	snippet_overlay();

	if (isset($html['information'])) {
		$buff .= "<div class='onethird-information' onclick='\$(this).remove()' >";
		foreach ($html['information'] as $v) {
			$buff .= "<div>$v</div>";
		}
		$buff .= "</div>";
  	}
	
	if (isset($html['alert'])) {
$buff .= <<<EOT
		<script>
			\$(function(){
EOT;
				foreach ($html['alert'] as $v) {
					$buff .= "ot.alert(\"$v\");";
				}
$buff .= <<<EOT
			});
		</script>
EOT;
	}

	$html['meta']['system_toolbar'] = $buff;

$buff = '';

	// system nav html
	if (!function_exists('sub_item')) {
		function sub_item($k,$ar,$expand) {
			if (isset($ar['caption'])) {
				$c = $ar['caption'];
			} else {
				$c = $k;
			}
			$expand = ($expand) ? "" : "display:none;";
$buff = <<<EOT
			<div class='dropdown_sub'><span>{$c}</span>
				<div style='$expand'>
EOT;
					foreach ($ar as $k=>$v) {
						if ($k === 'caption') { continue; }
						if ($k === 'icon') { continue; }
						if ($k === 'expand') { continue; }
						if (!$v) { continue; }
$buff .= <<<EOT
						<div class="item">
							$v
						</div> 
EOT;
					}
$buff .= <<<EOT
				</div> 
			</div> 
EOT;
			return $buff;
		}
	} else {
		if (check_rights()) {
			$html['alert'][] = 'system_toolbar-tag is duplicated.';
		}
	}
	$avatar = get_user_avatar();
	$name = get_user_name();

$buff .= <<<EOT
<div class="onethird-system-nav-typeA" >
	<div class="inner">
		<div class="dropdown-right">
			<a href='{$config['site_ssl']}admin/account.php?circle=$p_circle'>
			$avatar 
			</a>
			<div class='button'>
				<a href='{$config['site_ssl']}admin/account.php?circle=$p_circle'>
				$name
				</a>
				 / 
				<a href='javascript:void(ot.system_logout())'>logout</a>
			</div>
		</div>
		<div class="dropdown-captions">
EOT;
			if (isset($html['system_toolbar']) && $html['system_toolbar'] ) {
				$active = ' active ';
				foreach ($html['system_toolbar'] as $k=>$v) {
					if (isset($v['icon'])) {
						$icon = $v['icon'];
					} else {
						$text = $k;
					}
					if (!is_array($v)) {
$buff .= <<<EOT
						$v
EOT;
						continue;
					}
$buff .= <<<EOT
					<div class='dropdown_hnd $active'><span class='root_cation'>$text</span>
						<div class=' dropdown_box' style='display:none;'>
EOT;
						$spl = false;
						$fst = true;
						$icon = '';
						foreach ($v as $kk=>$vv) {
							if (!$vv) { continue; }
							if ($kk === 'icon') {continue;}
							if ($kk === 'caption') { continue; }
							if ($kk === 'expand') {continue; }
							if (is_array($vv)) {
								if (!$fst) {
$buff .= <<<EOT
									<div class='item'><hr /></div>
EOT;
								}
								if (isset($vv['caption'])) {
									$kk = $vv['caption'];
								}
								if ($kk && isset($vv['icon'])) {
									$kk = "{$vv['icon']} $kk";
								}
								if (is_numeric($kk)) {
									foreach ($vv as $vvv) {
										if (!$vvv) { continue; }
$buff .= <<<EOT
										<div class="item">
											{$icon}{$vvv}
										</div> 
EOT;
									}
								} else {
									$buff .= sub_item($kk,$vv,isset($vv['expand']));
								}
								$spl = true;
								$fst = false;
								continue;
							}
							if ($spl) {
$buff .= <<<EOT
								<div class='item'><hr /></div>
EOT;
								$spl = false;
							}
$buff .= <<<EOT
							<div class="item">
								$vv
							</div> 
EOT;
							$fst = false;
						}
$buff .= <<<EOT
						</div> 
					</div> 
EOT;
					$active = '';
				}
			}
$buff .= <<<EOT
		</div>
	</div>
</div>
EOT;
	$buff = str_replace("	",'',$buff);
	$buff = str_replace("\n",'',$buff);
	return $buff;
}

?>